function showmesh(FEM)

Th = FEM.Th;
if isfield(Th,'domains')
    col = zeros(Th.M,1);
    for k = 1:Th.ndoms
        col(Th.domains{k}) = k;
    end
else
    col = 1;
end    

patch('Faces',Th.elements,'Vertices',Th.corners,'Cdata',col,'Facecolor','flat')