clear all;close all;%clc
run('../../directories');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%profile on
% problem parameter
FEM = parameters;
% switch on time information
FEM.info = 1;
% generate the mesh
FEM = trimesh(FEM);
% reference element
FEM = P1(FEM);
% generate finite element space
FEM = FEspace(FEM);
% assemble FE matrix
FEM = assembleLS(FEM);
% solve problem
fprintf('solving ... ');
tic
FEM.solution.u = FEM.matrices.A\FEM.matrices.b;
fprintf('%.2fs\n',toc);
% postprocessing
FEM = postproc(FEM);
% display
FEM.solution.gradient.show = 0;
showsol(FEM);
%profile viewer
